#include <stdio.h>

using namespace std;

int main() {
    int n, m;
    char h[10][10];

    scanf("%d %d", &n, &m);
    for(int i = 0; i < n; i++)
        for(int j = 0; j < m; j++) scanf("%c", &h[i][j]);
    printf("-1");
    return 0;
}